/* packet-dcom-sysact.c
 * Routines for DCOM ISystemActivator
 * Copyright 2002, Ulf Lamping <ulf.lamping@siemens.com>
 *
 * $Id: packet-dcom-sysact.c,v 1.6 2002/08/02 23:35:48 jmayer Exp $
 *
 * Ethereal - Network traffic analyzer
 * By Gerald Combs <gerald@ethereal.com>
 * Copyright 1998 Gerald Combs
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

/* see packet-dcom.c for details about DCOM */

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif


#include <glib.h>
#include <epan/packet.h>
#include "packet-dcerpc.h"
#include "packet-dcom.h"



/* ToBeDone: ISystemActivator ... */
/* ...is currently not dissected, because:
 * 1. I have no IDL description
 * 2. I have no example capture file
 */
static e_uuid_t uuid_systemactivator = { 0x000001A0, 0x0000, 0x0000, { 0xc0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x46 } };
static guint16  ver_systemactivator = 0;
static gint ett_systemactivator = -1;
static int proto_systemactivator = -1;


/* sub dissector table of ISystemActivator interface */
static dcerpc_sub_dissector systemactivator_dissectors[] = {
    { 0, NULL, NULL, NULL }
};



void
proto_register_dcom_systemactivator(void)
{

	static gint *ett[] = {
		&ett_systemactivator
	};


	proto_systemactivator = proto_register_protocol ("DCOM ISystemActivator", "ISystemActivator", "sysact");
	proto_register_subtree_array (ett, array_length (ett));
}


void
proto_reg_handoff_dcom_systemactivator(void)
{

	dcom_register_server_interface(proto_systemactivator, ett_systemactivator,
		&uuid_systemactivator, ver_systemactivator,
		systemactivator_dissectors, -1);
}

